> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://tc.docs.syndicate.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://tc.docs.syndicate.io/_mcp/server.

# Get Transaction Requests By Project

GET https://api.syndicate.io/wallet/project/{projectId}/requests

Gets a list of transaction requests for a project

Reference: https://tc.docs.syndicate.io/api/transactions/get-transaction-requests-by-project

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (UUID, required)

### Query parameters

- `search` (string, optional) — Optional search parameter will filter by function signature, contract address, or transaction id
- `page` (integer, optional)
- `limit` (integer, optional)

## Response

### 200

- `transactionRequests` (list of TransactionResponse, required)
- `total` (integer, required)

## Errors

### 404 Transaction Not Found Error

## Types

### TransactionResponse

- `transactionId` (string, required)
- `chainId` (integer, required)
- `projectId` (string, required)
- `invalid` (boolean, required)
- `contractAddress` (string, required)
- `functionSignature` (string, required)
- `data` (string, required) — ABI encoded representation of the function name and parameters passed as input
- `value` (string, required)
- `createdAt` (datetime, required)
- `updatedAt` (datetime, required)
- `decodedData` (map from string to any, optional) — Decoded function arguments passed as input to the contract's function identified by 'functionSignature'
- `transactionAttempts` (list of TransactionAttempt, optional)

### TransactionAttempt

- `transactionId` (string, required)
- `hash` (string, required)
- `chainId` (integer, required)
- `version` (integer, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `PROCESSED`, `SUBMITTED`, `CONFIRMED`, `PAUSED`, `ABANDONED`
- `block` (integer, required)
- `signedTxn` (string, required)
- `walletAddress` (string, required)
- `reverted` (boolean, required)
- `nonce` (integer, required)
- `createdAt` (datetime, required)
- `updatedAt` (datetime, required)
- `blockCreatedAt` (datetime, optional)

## Examples

**Response**

```json
{
  "transactionRequests": [
    {
      "transactionId": "transactionId",
      "chainId": 1,
      "projectId": "projectId",
      "invalid": true,
      "contractAddress": "contractAddress",
      "functionSignature": "functionSignature",
      "data": "data",
      "value": "value",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "decodedData": {
        "decodedData": {
          "key": "value"
        }
      },
      "transactionAttempts": [
        {
          "transactionId": "transactionId",
          "hash": "hash",
          "chainId": 1,
          "version": 1,
          "status": "PENDING",
          "block": 1,
          "signedTxn": "signedTxn",
          "walletAddress": "walletAddress",
          "reverted": true,
          "nonce": 1,
          "createdAt": "2024-01-15T09:30:00Z",
          "updatedAt": "2024-01-15T09:30:00Z",
          "blockCreatedAt": "2024-01-15T09:30:00Z"
        },
        {
          "transactionId": "transactionId",
          "hash": "hash",
          "chainId": 1,
          "version": 1,
          "status": "PENDING",
          "block": 1,
          "signedTxn": "signedTxn",
          "walletAddress": "walletAddress",
          "reverted": true,
          "nonce": 1,
          "createdAt": "2024-01-15T09:30:00Z",
          "updatedAt": "2024-01-15T09:30:00Z",
          "blockCreatedAt": "2024-01-15T09:30:00Z"
        }
      ]
    },
    {
      "transactionId": "transactionId",
      "chainId": 1,
      "projectId": "projectId",
      "invalid": true,
      "contractAddress": "contractAddress",
      "functionSignature": "functionSignature",
      "data": "data",
      "value": "value",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "decodedData": {
        "decodedData": {
          "key": "value"
        }
      },
      "transactionAttempts": [
        {
          "transactionId": "transactionId",
          "hash": "hash",
          "chainId": 1,
          "version": 1,
          "status": "PENDING",
          "block": 1,
          "signedTxn": "signedTxn",
          "walletAddress": "walletAddress",
          "reverted": true,
          "nonce": 1,
          "createdAt": "2024-01-15T09:30:00Z",
          "updatedAt": "2024-01-15T09:30:00Z",
          "blockCreatedAt": "2024-01-15T09:30:00Z"
        },
        {
          "transactionId": "transactionId",
          "hash": "hash",
          "chainId": 1,
          "version": 1,
          "status": "PENDING",
          "block": 1,
          "signedTxn": "signedTxn",
          "walletAddress": "walletAddress",
          "reverted": true,
          "nonce": 1,
          "createdAt": "2024-01-15T09:30:00Z",
          "updatedAt": "2024-01-15T09:30:00Z",
          "blockCreatedAt": "2024-01-15T09:30:00Z"
        }
      ]
    }
  ],
  "total": 1
}
```

**SDK Code**

```typescript
import { SyndicateClient, Syndicate } from "@syndicateio/syndicate-node";

const client = new SyndicateClient({ token: "YOUR_TOKEN" });
await client.wallet.getTransactionRequestsByProject("d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", {
    search: "string",
    page: 1,
    limit: 1,
    invalid: true,
    noAttempts: true,
    status: Syndicate.RequestStatus.Enqueued
});

```

```python
import requests

url = "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/requests"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/requests"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/requests")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/requests")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/requests', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/requests");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/requests")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```